# $Revision: 1.4.2.3 $, $Date: 2003/04/10 19:49:05 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Inline
%define		pname	Octave
Summary:	Inline::Octave - inline octave code into your perl
Summary(pl):	Inline::Octave - umieszczanie kodu octave w kodzie perlowym
Name:		perl-Inline-Octave
Version:	0.18
Release:	1
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pname}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Inline >= 0.4
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	octave
Requires:	octave
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inline::Octave Perl module gives you the power of the octave
programming language from within your Perl programs.

%description -l pl
Modu Perla Inline::Octave umoliwia korzystanie z mocy jzyka
programowania octave wewntrz skryptw w Perlu.

%prep
%setup -q -n %{pdir}-%{pname}-%{version}

%build
echo '/usr/bin/octave' | perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/Inline/Octave.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Inline-Octave.spec,v $
Revision 1.4.2.3  2003/04/10 19:49:05  ankry
- updated to 0.18
- replaced summaries/description by more informative ones

Revision 1.4.2.2  2003/03/13 00:57:48  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4.2.1  2003/03/08 23:12:49  ankry
- autoupdated to 0.17

Revision 1.4  2003/02/18 15:35:01  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/14 22:20:57  ankry
- added tests, tramslations

Revision 1.2  2002/07/27 12:29:13  ankry
- BR: octave (otherwise build loops infinitely)
- release 2

Revision 1.1  2002/07/26 23:40:58  qboosh
- new
